#!/bin/sh
#******************************* License GPLv3 ********************************
# Factory_paquets_de_CRIs_gen : Factory to build one paquet-de-CRIs from the website www.les-cris.com, with a timestamp, and and a SHA256 signature of the package.
# Copyright (C) 2022  Antoine Herzog <info -!at-arobase=! les-cris -!dot-point=! com>.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
#******************************************************************************

#***************** General checking before processing *****************
# Do some checkings, just after the load of the configuration and before to start processing.
# Some general checking, such as if the folder for production storage exists, or create it.
#**********************************************************************

logging_string_to_loggenfile ""
logging_string_to_loggenfile "Will do some checkings - folders for production storage, etc..."

#*********************************************************************
# Check and create the data folders, if not exist. 
# The storage folder for the packs in the final production stage.
#*********************************************************************
check_folder_exist_or_create_it "${PAQDECRIS_BUILD_DATA_PACKS_FINAL_PRODUCTION_STORAGE_FULLPATH_ROOT_FOLDER}" "true" "false" "For the Data Production Storage root folder"
check_folder_exist_or_create_it "${PAQDECRIS_BUILD_DATA_PACKS_FINAL_PRODUCTION_STORAGE_FULLPATH_CURRENT_FOLDER}" "false" "false" "For the Data Production Storage current folder"



